from SimpleShepherd import *

def make_keys():
    """
    This goes through each poem
    and asks, one by one, if you want to make a key for it.
    Then 'keys/' is populated.
    """
    keymaker = Keymaker()
    keymaker.make_keys('poems/')

def jonestown():
    """
    Every bot destroys its own history
    """
    s = SimpleShepherd()
    s.setup('keys/')
    s.jonestown()

def test_loop():
    """
    Run a loop where each bot 
    simulates tweeting
    but actually just prints 
    to the screen
    """
    s = SimpleShepherd()
    s.setup('keys/')
    s.test_loop()

def say_cheese():
    s = SimpleShepherd()
    s.setup('keys/')
    s.say_cheese()

def the_real_mccoy():
    """
    This is it. The Real McCoy.
    """
    s = SimpleShepherd()
    s.setup('keys/',
    line_interval = 120,
    poem_interval = 1800 )
    s.loop()

if __name__=="__main__":
    #make_keys()
    #jonestown()
    #test_loop()
    #say_cheese()
    the_real_mccoy()

